eja(1)

NAME
eja - micro web server

SYNOPSIS
eja [SCRIPT] [OPTION]...

DESCRIPTION
eja can be used as a micro web server for static and dynamic generated content, as a text scanner using Lua pattern matching syntax or as a standalone Lua interpreter.

OPTIONS

--shell
    launch an interactive shell.

--update library
    if library is specified install or update it otherwise update eja to latest version.

--export file
    export file to eja portable bytecode.

--log-file file
    log data to file, default: stderr

--log-level 0..5
    level can be from 0 (no log) to 5 (trace).

--scan script
    if script is present load it as the scanning script using R as full row content and F as matching array elements. Otherwise print only matching pattern content.

--scan-file file
    scanning input file, default: stdin

--scan-pattern pattern
    set a valid Lua pattern as fields separator, default: %S+

--scan-record pattern
    set a valid Lua pattern as record separator, default: \n

--web-start
    start a new web server in background.

--web-stop port
    stop the web server running on specified port, default 35248.

--web-host IP
    bind web server to specified IP, default all available.

--web-port value
    run the web server port on specified value, default 35248.

--web-path path
    web content path, default /var/eja/web

--web-size value
    set web server buffer size, default 8192.

--web-user
    add a new web server user.

--help
    display help information.

SEE ALSO
lua(1), awk(1)

AUTHOR
Ubaldo Porcheddu (ubaldo@eja.it)